// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class AddinDescriptionWidget {
        
        private Gtk.VBox mainBox;
        
        private Gtk.Notebook notebook;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Table table1;
        
        private Gtk.CheckButton checkIsRoot;
        
        private Gtk.ComboBoxEntry comboNs;
        
        private Gtk.Entry entryAuthor;
        
        private Gtk.Entry entryIdentifier;
        
        private Gtk.Entry entryLicense;
        
        private Gtk.Entry entryName;
        
        private Gtk.Entry entryUrl;
        
        private Gtk.HBox hbox9;
        
        private Gtk.Entry entryVersion;
        
        private Gtk.Label label4;
        
        private Gtk.Entry entryCompatVersion;
        
        private Gtk.HSeparator hseparator1;
        
        private Gtk.HSeparator hseparator2;
        
        private Gtk.Label label12;
        
        private Gtk.Label label13;
        
        private Gtk.Label label14;
        
        private Gtk.Label label15;
        
        private Gtk.Label label2;
        
        private Gtk.Label label3;
        
        private Gtk.Label label7;
        
        private Gtk.Label label8;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TextView textviewDesc;
        
        private Gtk.HSeparator hseparator3;
        
        private Gtk.Label label5;
        
        private MonoDevelop.AddinAuthoring.ExtensionPointsEditorWidget extensionPointsEditor;
        
        private Gtk.Label label9;
        
        private Gtk.HBox hbox5;
        
        private MonoDevelop.AddinAuthoring.ExtensionEditorWidget extensionEditor;
        
        private Gtk.Label label10;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.AddinDescriptionWidget
            Stetic.BinContainer w1 = Stetic.BinContainer.Attach(this);
            Gtk.UIManager w2 = new Gtk.UIManager();
            Gtk.ActionGroup w3 = new Gtk.ActionGroup("Default");
            w2.InsertActionGroup(w3, 0);
            this.Name = "MonoDevelop.AddinAuthoring.AddinDescriptionWidget";
            // Container child MonoDevelop.AddinAuthoring.AddinDescriptionWidget.Gtk.Container+ContainerChild
            this.mainBox = new Gtk.VBox();
            this.mainBox.Name = "mainBox";
            this.mainBox.Spacing = 3;
            // Container child mainBox.Gtk.Box+BoxChild
            this.notebook = new Gtk.Notebook();
            this.notebook.CanFocus = true;
            this.notebook.Name = "notebook";
            this.notebook.CurrentPage = 0;
            this.notebook.TabPos = ((Gtk.PositionType)(3));
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.table1 = new Gtk.Table(((uint)(11)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            this.table1.BorderWidth = ((uint)(12));
            // Container child table1.Gtk.Table+TableChild
            this.checkIsRoot = new Gtk.CheckButton();
            this.checkIsRoot.CanFocus = true;
            this.checkIsRoot.Name = "checkIsRoot";
            this.checkIsRoot.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Add-in root");
            this.checkIsRoot.DrawIndicator = true;
            this.checkIsRoot.UseUnderline = true;
            this.table1.Add(this.checkIsRoot);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table1[this.checkIsRoot]));
            w4.TopAttach = ((uint)(3));
            w4.BottomAttach = ((uint)(4));
            w4.RightAttach = ((uint)(2));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.comboNs = Gtk.ComboBoxEntry.NewText();
            this.comboNs.Name = "comboNs";
            this.table1.Add(this.comboNs);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table1[this.comboNs]));
            w5.TopAttach = ((uint)(1));
            w5.BottomAttach = ((uint)(2));
            w5.LeftAttach = ((uint)(1));
            w5.RightAttach = ((uint)(2));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryAuthor = new Gtk.Entry();
            this.entryAuthor.CanFocus = true;
            this.entryAuthor.Name = "entryAuthor";
            this.entryAuthor.IsEditable = true;
            this.entryAuthor.InvisibleChar = '●';
            this.table1.Add(this.entryAuthor);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table1[this.entryAuthor]));
            w6.TopAttach = ((uint)(8));
            w6.BottomAttach = ((uint)(9));
            w6.LeftAttach = ((uint)(1));
            w6.RightAttach = ((uint)(2));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryIdentifier = new Gtk.Entry();
            this.entryIdentifier.CanFocus = true;
            this.entryIdentifier.Name = "entryIdentifier";
            this.entryIdentifier.IsEditable = true;
            this.entryIdentifier.InvisibleChar = '●';
            this.table1.Add(this.entryIdentifier);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table1[this.entryIdentifier]));
            w7.LeftAttach = ((uint)(1));
            w7.RightAttach = ((uint)(2));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryLicense = new Gtk.Entry();
            this.entryLicense.CanFocus = true;
            this.entryLicense.Name = "entryLicense";
            this.entryLicense.IsEditable = true;
            this.entryLicense.InvisibleChar = '●';
            this.table1.Add(this.entryLicense);
            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.table1[this.entryLicense]));
            w8.TopAttach = ((uint)(9));
            w8.BottomAttach = ((uint)(10));
            w8.LeftAttach = ((uint)(1));
            w8.RightAttach = ((uint)(2));
            w8.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryName = new Gtk.Entry();
            this.entryName.CanFocus = true;
            this.entryName.Name = "entryName";
            this.entryName.IsEditable = true;
            this.entryName.InvisibleChar = '●';
            this.table1.Add(this.entryName);
            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.table1[this.entryName]));
            w9.TopAttach = ((uint)(5));
            w9.BottomAttach = ((uint)(6));
            w9.LeftAttach = ((uint)(1));
            w9.RightAttach = ((uint)(2));
            w9.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryUrl = new Gtk.Entry();
            this.entryUrl.CanFocus = true;
            this.entryUrl.Name = "entryUrl";
            this.entryUrl.IsEditable = true;
            this.entryUrl.InvisibleChar = '●';
            this.table1.Add(this.entryUrl);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table1[this.entryUrl]));
            w10.TopAttach = ((uint)(10));
            w10.BottomAttach = ((uint)(11));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hbox9 = new Gtk.HBox();
            this.hbox9.Name = "hbox9";
            this.hbox9.Spacing = 6;
            // Container child hbox9.Gtk.Box+BoxChild
            this.entryVersion = new Gtk.Entry();
            this.entryVersion.CanFocus = true;
            this.entryVersion.Name = "entryVersion";
            this.entryVersion.IsEditable = true;
            this.entryVersion.WidthChars = 15;
            this.entryVersion.InvisibleChar = '●';
            this.hbox9.Add(this.entryVersion);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox9[this.entryVersion]));
            w11.Position = 0;
            w11.Expand = false;
            w11.Fill = false;
            // Container child hbox9.Gtk.Box+BoxChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Compatible Version:");
            this.hbox9.Add(this.label4);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.hbox9[this.label4]));
            w12.Position = 1;
            w12.Expand = false;
            w12.Fill = false;
            // Container child hbox9.Gtk.Box+BoxChild
            this.entryCompatVersion = new Gtk.Entry();
            this.entryCompatVersion.CanFocus = true;
            this.entryCompatVersion.Name = "entryCompatVersion";
            this.entryCompatVersion.IsEditable = true;
            this.entryCompatVersion.WidthChars = 15;
            this.entryCompatVersion.InvisibleChar = '●';
            this.hbox9.Add(this.entryCompatVersion);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox9[this.entryCompatVersion]));
            w13.Position = 2;
            w13.Expand = false;
            w13.Fill = false;
            this.table1.Add(this.hbox9);
            Gtk.Table.TableChild w14 = ((Gtk.Table.TableChild)(this.table1[this.hbox9]));
            w14.TopAttach = ((uint)(2));
            w14.BottomAttach = ((uint)(3));
            w14.LeftAttach = ((uint)(1));
            w14.RightAttach = ((uint)(2));
            w14.XOptions = ((Gtk.AttachOptions)(4));
            w14.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hseparator1 = new Gtk.HSeparator();
            this.hseparator1.Name = "hseparator1";
            this.table1.Add(this.hseparator1);
            Gtk.Table.TableChild w15 = ((Gtk.Table.TableChild)(this.table1[this.hseparator1]));
            w15.TopAttach = ((uint)(7));
            w15.BottomAttach = ((uint)(8));
            w15.RightAttach = ((uint)(2));
            w15.XOptions = ((Gtk.AttachOptions)(4));
            w15.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.hseparator2 = new Gtk.HSeparator();
            this.hseparator2.Name = "hseparator2";
            this.table1.Add(this.hseparator2);
            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.table1[this.hseparator2]));
            w16.TopAttach = ((uint)(4));
            w16.BottomAttach = ((uint)(5));
            w16.RightAttach = ((uint)(2));
            w16.XOptions = ((Gtk.AttachOptions)(4));
            w16.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label12 = new Gtk.Label();
            this.label12.Name = "label12";
            this.label12.Xalign = 0F;
            this.label12.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("License:");
            this.table1.Add(this.label12);
            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.table1[this.label12]));
            w17.TopAttach = ((uint)(9));
            w17.BottomAttach = ((uint)(10));
            w17.XOptions = ((Gtk.AttachOptions)(4));
            w17.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label13 = new Gtk.Label();
            this.label13.Name = "label13";
            this.label13.Xalign = 0F;
            this.label13.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Author:");
            this.table1.Add(this.label13);
            Gtk.Table.TableChild w18 = ((Gtk.Table.TableChild)(this.table1[this.label13]));
            w18.TopAttach = ((uint)(8));
            w18.BottomAttach = ((uint)(9));
            w18.XOptions = ((Gtk.AttachOptions)(4));
            w18.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label14 = new Gtk.Label();
            this.label14.Name = "label14";
            this.label14.Xalign = 0F;
            this.label14.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Name:");
            this.table1.Add(this.label14);
            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.table1[this.label14]));
            w19.TopAttach = ((uint)(5));
            w19.BottomAttach = ((uint)(6));
            w19.XOptions = ((Gtk.AttachOptions)(4));
            w19.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label15 = new Gtk.Label();
            this.label15.Name = "label15";
            this.label15.Xalign = 0F;
            this.label15.Yalign = 0.01F;
            this.label15.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Description:");
            this.table1.Add(this.label15);
            Gtk.Table.TableChild w20 = ((Gtk.Table.TableChild)(this.table1[this.label15]));
            w20.TopAttach = ((uint)(6));
            w20.BottomAttach = ((uint)(7));
            w20.XOptions = ((Gtk.AttachOptions)(4));
            w20.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.Xalign = 0F;
            this.label2.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Namespace:");
            this.table1.Add(this.label2);
            Gtk.Table.TableChild w21 = ((Gtk.Table.TableChild)(this.table1[this.label2]));
            w21.TopAttach = ((uint)(1));
            w21.BottomAttach = ((uint)(2));
            w21.XOptions = ((Gtk.AttachOptions)(4));
            w21.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Version:");
            this.table1.Add(this.label3);
            Gtk.Table.TableChild w22 = ((Gtk.Table.TableChild)(this.table1[this.label3]));
            w22.TopAttach = ((uint)(2));
            w22.BottomAttach = ((uint)(3));
            w22.XOptions = ((Gtk.AttachOptions)(4));
            w22.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.Xalign = 0F;
            this.label7.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("URL:");
            this.table1.Add(this.label7);
            Gtk.Table.TableChild w23 = ((Gtk.Table.TableChild)(this.table1[this.label7]));
            w23.TopAttach = ((uint)(10));
            w23.BottomAttach = ((uint)(11));
            w23.XOptions = ((Gtk.AttachOptions)(4));
            w23.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label8 = new Gtk.Label();
            this.label8.Name = "label8";
            this.label8.Xalign = 0F;
            this.label8.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Identifier:");
            this.table1.Add(this.label8);
            Gtk.Table.TableChild w24 = ((Gtk.Table.TableChild)(this.table1[this.label8]));
            w24.XOptions = ((Gtk.AttachOptions)(4));
            w24.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            this.textviewDesc = new Gtk.TextView();
            this.textviewDesc.CanFocus = true;
            this.textviewDesc.Name = "textviewDesc";
            this.scrolledwindow1.Add(this.textviewDesc);
            this.table1.Add(this.scrolledwindow1);
            Gtk.Table.TableChild w26 = ((Gtk.Table.TableChild)(this.table1[this.scrolledwindow1]));
            w26.TopAttach = ((uint)(6));
            w26.BottomAttach = ((uint)(7));
            w26.LeftAttach = ((uint)(1));
            w26.RightAttach = ((uint)(2));
            w26.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox3.Add(this.table1);
            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.vbox3[this.table1]));
            w27.Position = 0;
            w27.Expand = false;
            w27.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.hseparator3 = new Gtk.HSeparator();
            this.hseparator3.Name = "hseparator3";
            this.vbox3.Add(this.hseparator3);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.vbox3[this.hseparator3]));
            w28.PackType = ((Gtk.PackType)(1));
            w28.Position = 1;
            w28.Expand = false;
            w28.Fill = false;
            this.notebook.Add(this.vbox3);
            // Notebook tab
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Header");
            this.notebook.SetTabLabel(this.vbox3, this.label5);
            this.label5.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.extensionPointsEditor = new MonoDevelop.AddinAuthoring.ExtensionPointsEditorWidget();
            this.extensionPointsEditor.Events = ((Gdk.EventMask)(256));
            this.extensionPointsEditor.Name = "extensionPointsEditor";
            this.notebook.Add(this.extensionPointsEditor);
            Gtk.Notebook.NotebookChild w30 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.extensionPointsEditor]));
            w30.Position = 1;
            // Notebook tab
            this.label9 = new Gtk.Label();
            this.label9.Name = "label9";
            this.label9.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Extension Points");
            this.notebook.SetTabLabel(this.extensionPointsEditor, this.label9);
            this.label9.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.hbox5 = new Gtk.HBox();
            this.hbox5.Name = "hbox5";
            this.hbox5.Spacing = 6;
            this.hbox5.BorderWidth = ((uint)(6));
            // Container child hbox5.Gtk.Box+BoxChild
            this.extensionEditor = new MonoDevelop.AddinAuthoring.ExtensionEditorWidget();
            this.extensionEditor.Events = ((Gdk.EventMask)(256));
            this.extensionEditor.Name = "extensionEditor";
            this.hbox5.Add(this.extensionEditor);
            Gtk.Box.BoxChild w31 = ((Gtk.Box.BoxChild)(this.hbox5[this.extensionEditor]));
            w31.Position = 0;
            this.notebook.Add(this.hbox5);
            Gtk.Notebook.NotebookChild w32 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.hbox5]));
            w32.Position = 2;
            // Notebook tab
            this.label10 = new Gtk.Label();
            this.label10.Name = "label10";
            this.label10.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Extensions");
            this.notebook.SetTabLabel(this.hbox5, this.label10);
            this.label10.ShowAll();
            this.mainBox.Add(this.notebook);
            Gtk.Box.BoxChild w33 = ((Gtk.Box.BoxChild)(this.mainBox[this.notebook]));
            w33.Position = 0;
            this.Add(this.mainBox);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            w1.SetUiManager(w2);
            this.Show();
            this.entryVersion.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryCompatVersion.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryUrl.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryName.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryLicense.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryIdentifier.Changed += new System.EventHandler(this.OnEntryChanged);
            this.entryIdentifier.Changed += new System.EventHandler(this.OnEntryIdentifierChanged);
            this.entryAuthor.Changed += new System.EventHandler(this.OnEntryChanged);
            this.checkIsRoot.Clicked += new System.EventHandler(this.OnCheckIsRootClicked);
        }
    }
}
